<?php

require_once ("../business/CourseDescription.inc");
require_once ("ProgramFactory.inc");
require_once ("BusinessObjectFactory.inc");
require_once ("StringFactory.inc");

class CourseDescriptionFactory extends BusinessObjectFactory
{

	var $pf;	
	var $objectivesfactory;
	var $toolsfactory;
	
	public function __construct(  $tablename, $idname)	
	{
		parent::__construct( $tablename, $idname);
		$this->pf = new ProgramFactory("Programs", "Id");	
		$this->objectivesfactory = new StringFactory( "objectives", "Id", "Name","CourseId");
		$this->toolsfactory = new StringFactory( "tools", "Id", "Name","CourseId");		
	}
		
	function  CreateObjectFromRow($obj)
	{
		$cd = new CourseDescription( $obj->Title, $obj->Code, $obj->Duration, $obj->Audience );
		$cd->id = $obj->Id;

		//load dependant objects		
		$cd->program = $this->pf->ExecuteSingleQuery("SELECT * FROM Programs WHERE CourseId = $cd->id ;");
		//echo "cd->program : $cd->program <br>";
		//if ( $cd->program != NULL)
		//echo "cd->program :" . $cd->program->__toString() . "<br>";
		$cd->objectives = $this->objectivesfactory->ExecuteMultipleQuery("SELECT * FROM Objectives WHERE CourseId = $obj->Id ");

		$cd->tools = $this->toolsfactory->ExecuteMultipleQuery("SELECT * FROM Tools WHERE CourseId = $obj->Id ");

		return $cd;
	}

	function DeleteDependantObjects( $course )
	{
		$this->pf->Delete( $course->program );
		
		$this->objectivesfactory->DeleteByParentId( $course->id );

		$this->toolsfactory->DeleteByParentId( $course->id );
	}

	function Create( & $course )
	{

		$this->ExecuteUpdate( "INSERT INTO $this->tablename (Code,Title,Audience,Duration)
		 VALUES ('$course->code','$course->title','$course->audience',$course->duration );");		
		$course->id = mysql_insert_id();

		$this->CreateDependantObjects( $course );
		
	}
	
	function CreateDependantObjects( $course )
	{
		// create dependant objects
		if ( $course->program != NULL )
			$this->pf->Create($course->program, $course);		

		if ( $course->objectives != NULL )
			foreach( $course->objectives as $objective ){
				$this->objectivesfactory->ExecuteUpdate("INSERT INTO objectives (Name,CourseId) VALUES ('$objective',$course->id );");
			}

		if ( $course->tools != NULL)
			foreach( $course->tools as $tool ){
				$this->toolsfactory->ExecuteUpdate("INSERT INTO tools (Name,CourseId) VALUES ('$tool',$course->id );");
			}				
	}
	
	function Update( $course )
	{
		$this->ExecuteUpdate("UPDATE $this->tablename SET Title = '$course->title',
			Code = '$course->code', duration='$course->duration', Audience='$course->audience'
			WHERE Id = $course->id ;");
		$this->DeleteDependantObjects( $course );
		$this->CreateDependantObjects( $course );				
	}
}

?>
