<?php
	include_once("fpdf/fpdf.php");
	require_once("../data/CourseDescriptionFactory.inc");
	
class PDFCourseDescription extends FPDF
{
	private $course;
	
	public function __construct(  $course )
	{
		parent::__construct('Portrait','mm','A4');
		$this->course = $course;
	}
	
	//En-tte
	function Header()
	{
	
	    //Logo x, y, width ( par dfaut 72 dpi )
	    // attention, ne marche pas avec les gif
	    $this->Image('images/logo.jpg',10,8,33);
	    //Police Arial gras 15
	    $this->SetFont('Arial','B',10);
	    //Dcalage  droite
	    $this->Cell(80);
	
	    $title = $this->course->title ;
	    $width = $this->GetStringWidth($title);
	    $this->SetFillColor(255,255,255);
	    //Titre width, height, text, border (0 | 1), 
	    // puis continuer 0 :  droite, 1 : au dbut de la ligne suivante, 2 : en dessous 
	    // 'C' pour centrer
	    $this->Cell($width*12/10, 10,$title,0,0,'C',1);
	    //Saut de ligne de 20
	    $this->Ln(20);
	}
	
	//Pied de page
	function Footer()
	{
	    //Positionnement  1,5 cm du bas
	    $this->SetY(-15);
	    //Police Arial italique 8
	    $this->SetFont('Arial','I',8);
	    //Numro de page
	    $this->Cell(0,10,'Page '.$this->PageNo(). '/ nb',0,0,'C');
	}
	
	function PrintObjectives()
	{

		if ( $this->course->objectives != NULL && count($this->course->objectives )!= 0){
			$this->SetFont('Arial','B',15);
	    	$this->SetFillColor(200,150,255);			
		   $this->Cell(0,10,'Objectifs :',0,0,'L',1);
			$this->Ln(10);	
			$this->SetFont('Arial','',12);
			foreach( $this->course->objectives as $objective ){
				$this->Cell(20,10);
				$this->Cell(0,10, "- " . $objective ,0,0,'L');
				$this->Ln(10);
			}
			$this->Ln(10);
		}
	}
	function PrintAudience()
	{
		$this->SetFont('Arial','B',15);		
		$this->SetFillColor(200,150,255);		
		$this->Cell(0,10, "Ce cours est destin /aux : " . $this->course->audience ,0,0,'L',1);
		$this->Ln(20);
	}
	function PrintTools()
	{
		if ( $this->course->tools != NULL && count($this->course->tools )!= 0 ){
			$this->SetFont('Arial','B',15);	
	    	$this->SetFillColor(200,150,255);			
			$this->Cell(0,10, "Outils : ",0,0,'L',1);
			$this->SetFont('Arial','',12);			
			foreach( $this->course->tools as $tool ){
				$this->Cell(20,10);
				$this->Cell(0,10, "- " . $tool ,0,0,'L');
				$this->Ln(10);
			}
			$this->Ln(10);
	  	}		
	}
	function PrintProgram()
	{
		if ( $this->course->program != NULL
   		&& $this->course->program->chapters != NULL && count( $this->course->program->chapters ) != 0){
			$this->SetFont('Arial','B',15);			
	    	$this->SetFillColor(200,150,255);			
			$this->Cell(0,10, "Programme : ",0,0,'L',1);
			$this->SetFont('Arial','',12);			
			foreach( $this->course->program->chapters as $chapter){
				$this->Cell(20,10);
				$this->Cell(0,10, "-" . "$chapter ",0,0,'L');
				$this->Ln(10);
			}
			$this->Ln(10);
	  	}		
	}
	function PrintCourseDescription()
	{
	// TODO : mieux centrer
	$this->SetFont('Arial','B',20);
	//Dcalage  droite
		
	$title = $this->course->title .  " (" . $this->course->duration . " jours)";
	$width = $this->GetStringWidth($title)*12/10;
    $this->Cell( (210 - $width) /2);
	$this->SetFillColor(200,150,255);
	//Titre width, height, text, border (0 | 1), 
	// puis continuer 0 :  droite, 1 : au dbut de la ligne suivante, 2 : en dessous 
	// 'C' pour centrer
	$this->Cell($width, 10,$title,1,0,'C',1);
    //		$this->Cell(0,10, "sfdf$title" ,0,0,'L',1);
	//Saut de ligne de 20
	$this->Ln(20);


		$this->PrintObjectives();
		$this->PrintAudience();	
		$this->PrintTools();
		$this->PrintProgram();
	}
}
//peut tre ncessaire sous certains environnements
function f()
{
    Header ("Content-Type: application/pdf");
    
    // recherche du cours  partir d'un Id
    $id = $_GET["id"];
    $cdf = new CourseDescriptionFactory("coursedescriptions","Id");
    $course = $cdf->GetObjectById( $id ) ;
    //Instanciation de la classe drive
    $pdf=new PDFCourseDescription ( $course );
    // dfinit un alias 'nb' par dfaut pour les pages
    $pdf->AliasNbPages('nb');
    $pdf->AddPage();
    $pdf->PrintCourseDescription();
    $pdf->Output();	
}
@f();
?>